PHP Manual
Prev |  | Next

# pg_connection_status

(PHP 4 >= 4.2.0, PHP 5)

pg_connection_status -- Get connection status

## Description

int pg_connection_status ( resource connection )

pg_connection_status() returns the status of the specified connection.

## Parameters

connection

  PostgreSQL database connection resource.

## Return Values

`PGSQL_CONNECTION_OK` or `PGSQL_CONNECTION_BAD`.

## Examples

Example 1. pg_connection_status() example

`<?php $dbconn = pg_connect("dbname=publisher") or die("Could not connect"); $stat = pg_connection_status($dbconn); if ($stat === PGSQL_CONNECTION_OK) { echo 'Connection status ok'; } else { echo 'Connection status bad'; } ?>`

## See Also

pg_connection_busy()

Prev | Home | Next
pg_connection_reset | Up | pg_convert